[lfs-support] LFS bootstrap, shall we use GCC's --with-glibc-version configure option?

Bruce Dubbs bruce.dubbs at gmail.com
Mon Mar 30 10:04:49 PDT 2015


Explorer wrote:
> In Linux From Scratch chapter 5.5 (GCC-4.9.2 - Pass 1), building a GCC that is
> used to build glibc, we uses a hack in GCC's configure script to tell GCC that
> stack protection will be available (gcc_cv_libc_provides_ssp=yes). However
> when I tried to bootstrap a cross-toolchain, I found recent versions of GCC
> introduced the '--with-glibc-version' configure option just for this purpose,
> and so the hack is not needed anymore.

Your approach seems to be reasonable.  I've started a thread on -dev for follow 
up. http://lists.linuxfromscratch.org/pipermail/lfs-dev/2015-March/070032.html

   -- Bruce



More information about the lfs-support mailing list